function noise_backoff = calculate_noise_backoff( SNRx );


load ./mat/peak_data_MN16R.mat

max_output_level = 80;
	       

for n = 1:length(SNRx)

SNR = SNRx(n);

if SNR < -18
	noise_backoff(n) = peak_of_snr(1) - max_output_level;
elseif SNR >= -18 & SNR < 60
	noise_backoff(n) = spline(snrs, peak_of_snr, SNR ) - max_output_level;
elseif SNR >= 60
	P = polyfit(snrs(end-1:end)',peak_of_snr(end-1:end),1);
	noise_backoff(n) = polyval(P,SNR) - max_output_level;
end


end