function [ E_ni2, E_ni ] = compute_noise_stats( experiment, filterbank, noise_std )

% function which will takes as an argument the experiment, filterbank, and power of the noise and returns
% the noise statistics for that condition


how_many_filters = 200;


mat_dir = './mat/';


%cmsgram_output_rate = 400;  % per second
%bmdist = linspace(7.35,30,how_many_filters);
%freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';


noise_stats = load([ mat_dir experiment '_' filterbank '_noise_dist5.mat']);


%phys_noise = 2e-6 * ones(1,how_many_filters);

% noise had unity std(.,1) before it was filtered.

E_ni2_ns = noise_stats.X3_sq * noise_stats.n3_sq' ./ sum(noise_stats.n3_sq');
E_ni_ns = noise_stats.X3 * noise_stats.n3' ./ sum(noise_stats.n3');


E_ni2 = E_ni2_ns' * noise_std^2;
E_ni = E_ni_ns' * noise_std;
