% this script analyze the confusion patterns of HPLPF07 experiment

%load SPDB_HL07.mat;

%cv_list = get_field_value('HL07', 'stim');

cv_list = {'pa','ta','ka','fa','xta','sa','xsa','ba','da','ga','va','xda','za','xza','ma','na'};

% Confusion Patterns for low-pass filtering conditions
figure;
for i=1:length(cv_list)
    
    cv = cv_list{i}; disp(cv);
    
    data = query(SPDB_HL07, 'stim', cv, 'comment', 'LP');
    
    CP = calc_CP(data, cv, 'lpf'); CP.ylabel = 'Response (%)';

	subplot(4,4,i); plot_CP(CP);
    
end

% Confusion Patterns for low-pass filtering conditions
figure;
for i=1:length(cv_list)
    
    cv = cv_list{i}; disp(cv);
    
    data = query(SPDB_HL07, 'stim', cv, 'comment', 'HP');
    
    CP = calc_CP(data, cv, 'hpf'); CP.ylabel = 'Response (%)';

	subplot(4,4,i); plot_CP(CP);
    
end

