% this script generates the Pe_LP*Pe_HP plots for all the utterances used
% in HPLPF07 experiment.

%load SPDB_HL07.mat;

fp = fopen('pe_Trunc07_HL07.tex','w');

figure('Position',[60 60 400 300]); 

utter_list = get_utter_list_HPLPF07();

for i=1:length(utter_list)

    clf; plot_Pe_HPLPF07_TRUNC07(SPDB, utter_list{i});
    saveas(gcf, ['./results/' utter_list{i} '_Trunc07.eps'], 'psc2');  

    clf; [pe_lp, pe_hp, pe_lphp] = calc_pe_lphp_cutfreq(SPDB_HL07, utter_list{i});
    saveas(gcf, ['./results/' utter_list{i} '_HL07.eps'], 'psc2');  

    fprintf(fp,'\\includegraphics[width = 0.45 \\textwidth]{%s}\n',['./results/' utter_list{i} '_Trunc07.eps']);        
    fprintf(fp,'\\includegraphics[width = 0.45 \\textwidth]{%s}\n',['./results/' utter_list{i} '_HL07.eps']);    
end

fclose(fp);

