% This program plots the average Pe over all stimuli as a function of snr

% Before running the program please set path first!
% Menu: File/Set Path, chose 'Add with Subdirectories', 'Save' and 'Close'

%clc; close all;

%load SPDB_MN16R.mat

%% calculate Confusion Patter of /ta/
data = query(SPDB_TR08, 'utter', 'm111_ga');
CP = calc_CP(data, 'ga', 'time');
data = query(SPDB_MN16R, 'stim', 'ta', 'snr', -6);
CM = calc_CM(data, 'ta at -6 dB SNR');
figure(1); plot_CP(CP);  

% %% calculate Confusion Matrix at SNR = 12dB
% data = query(SPDB_MN16R, 'snr', 12);
% cm = calc_CM(data, 'CM at 12dB');
% disp(cm)
% 
% %% calculate Confusion Patter of /f101_ka/
% data = query(SPDB_MN16R, 'utter', 'f101_ba');
% CP = calc_CP(data, 'f101_ba', 'snr');
% figure(1); plot_CP(CP);  
% 
% %% calculate the Pe of /f101_ba/ for a subject named Munson
% data = query(SPDB_MN16R, 'listener', 'Munson', 'utter', 'f101_ba');
% Pe = calc_Pe(data, 'f101_ba', 'snr');
% figure(2); plot_Pe(Pe);

% %% calculate the average Pe of the 16 consonants
% markers_code = create_markers_code();
% figure;
% for i=1:length(Index_MN16R.stim)
%     data = query(SPDB_MN16R, 'stim', Index_MN16R.stim{i});
%     Pe = calc_Pe(data, Index_MN16R.stim{i},Index_MN16R.stim{i}, 'snr');
%     scores = 1-Pe.score;
%     snrs = Pe.conds; snrs(end) = 24;
%     plot(snrs, scores, markers_code{i}.shape, 'Color', markers_code{i}.color,...
%          'MarkerFacecolor', markers_code{i}.facecolor, 'MarkerSize', 8 ,'LineWidth',1.5 ); hold on       
% end
% legend(Index_MN16R.stim);
% set(gca,'XTick',Pe.conds,'YTick',[0:0.2:1], 'FontSize', 12);