% this script makes the Pc_vs_Pc plot for the Hearing Impaired data

function plot_Pc_vs_Pc(HIPI, snrHI, NHPI, snrNH, marker, markercolor, facecolor)

snrHI(end) = 32;% quiet condition
snrNH(end) = 32;

Pc_NH_INTP = interp1(double(snrNH), NHPI, snrHI, 'linear');
    
plot(HIPI, Pc_NH_INTP, ['--' marker], 'Color', markercolor,'MarkerFacecolor', ...
     facecolor, 'MarkerSize', 4 ,'LineWidth',1.5 );

xlim([-0.02,1.02]); ylim([-0.02,1.02]);
xlabel('Pc_{HI}', 'FontSize', 14); ylabel('Pc_{NH}', 'FontSize', 14);



