% This function output a matrix of data to a csv file
% mat - the matrix to be written
% csv - the name of the csv file 
% lab_row - the labels for each row
% lab_col - the labels for each column

function mat2csv(mat, csv, lab_row, lab_col)

[nRow, nCol] = size(mat);

fid = fopen(csv, 'wt');

fprintf(fid, ' ,'); 
for j=1:nCol
    fprintf(fid, '%s,', lab_col{j}); 
end
fprintf(fid, '\n');

for i=1:nRow
    fprintf(fid, '%s,', lab_row{i});
    for j=1:nCol
        fprintf(fid, '%f,', mat(i,j)); 
    end 
    fprintf(fid, '\n');
end
fclose(fid);
