function cell_array = ConvertXtoUppercase(cell_array)

% Converts letters after x to uppercase and removes x (i.e. 'xdxi' -> 'DI')

x_pos = strfind( cell_array, 'x' );

for idx = 1:length(x_pos)
    if  ~isempty( x_pos{ idx } )
        str = cell_array{ idx };
        n=0;
        for str_pos = x_pos{ idx }
            str = [str(1:str_pos-n-1) upper(str(str_pos-n+1))...
                str(str_pos-n+2:length(str))];
            n=n+1;
        end
        cell_array{ idx , 1 } = str;
    end
end
% convert ? to ?? for responses
list=unique(cell_array);
maxlen=0;
for i=1:length(list)
    if length(list{i,1}) > maxlen
        maxlen=length(list{i,1});
    end
end
if maxlen==2
    x_pos = strfind( cell_array, '?' );
    for idx = 1:length(x_pos)
        if ~isempty(x_pos{idx})
            cell_array{ idx } = '??';
        end
    end
end