function [ccgram, cc, time_axis, freq_axis ] = form_image_nadeeka( level3, threshold_file, noise_power )


% function to form an image using the (slightly incorrect) technique used
% in the first three versions of the AI-gram.
%
% output is the data 

how_many_filters = 200;


mat_dir = './mat/';


cmsgram_output_rate = 400;  % per second
bmdist = linspace(7.35,30,how_many_filters);
freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';

load([ mat_dir threshold_file ])

% I need to adjust for the number of runs being averaged over.   

st_dev = st_dev / total_number;
detection_threshold = detection_threshold / total_number;


phys_noise = 2e-6 * ones(1,how_many_filters);

st_dev = st_dev * noise_power;
st_dev = max( st_dev, phys_noise );

detection_threshold = detection_threshold * noise_power;



ref = st_dev;
ref = ref' * ones(1,size(level3,2));

ref_floor = detection_threshold;
ref_floor = ref_floor' * ones(1,size(level3,2));



% Now we compute the log of the ratio of the signal to the reference
% level.  We are interpreting this as bits, but there are many problems
% with this interpretation.

S =  max(1,level3 ./ ref_floor).^2;

S_logged = 1/3*log10( S );
S_cl1 = max(0,S_logged);
ccgram = min(1,S_cl1);

%ccgram = S;  % half_wave_rectifier( S(:,lr_em_padding_samples:end-lr_em_padding_samples) )+0.0000001;

% Now, in theory
cc = mean(ccgram);  %sum( min( log2(10^(35/20)) , ccgram ) );
  

freq_axis = freqs;
time_axis = [1:size(S,2)]/cmsgram_output_rate;

