function [first_sample,last_sample] = label_begining_and_end( signal , thresholdx );


fs = 16000;
%blah = dir('../cm_analysis/hsr_wavs/*.wav');



%signal = wavread([ '../cm_analysis/hsr_wavs/' blah(34).name ] );

%signal = signal - mean(signal);

interval = floor(fs/32);
h = ones(1, interval ) / sqrt(interval);


padsize = floor(interval/2);

rms = conv(h,signal.^2);


s = round((length(rms)-length(signal))/2);
e = s + length(signal);

rms = rms(s:e);

% now let's find the level of the sample that is greater than 99% of the samples

rms_sorted = sort(rms);

index_of_interest = floor( length(rms) * 0.95 );

% this will be the power of the sample which is bigger than 99% of all samples

signal_power = rms_sorted(index_of_interest);

if exist('thresholdx','var')
   threshold = thresholdx;
%   disp(sprintf('threshold is %f',threshold))
else
   threshold = 0.05;
end


on = abs(rms) > ( threshold * rms_sorted(index_of_interest) );

%y = signal(     find(     [     zeros(1,padsize)     on'     zeros(1, length(signal) - padsize - length(on) )     ]     )     );
%  
%  on = on(padsize:length(on)-padsize);
%  
%  if length(on) > length(signal)
%  	on = on(2:length(signal));
%  end
%  
%  if length(on) < length(signal)
%  	on = [ 0 on ];
%  end
%  
%  y = signal(on);

%plot([ zeros(1,padsize) signal' zeros(1,padsize) ])
%hold on 
%plot(on/10,'r')


indecies = find( on > 0 );

first_sample = min(indecies);
last_sample = min(length(signal),max(indecies));



