close all; clc;

load vowel_start_time.mat;
utter_list = get_utter_list_SNRLoss07();

%% generate a document that contains all the confusion patterns and AI-grams
figure('Position',[1 1 400 450]); 

sound_id = 55;
utter = utter_list{sound_id}; disp(utter); clf; 
calc_feature_mask(SPDB, utter, 12, vowel_start_time{sound_id}.time);
saveas(gcf, ['./results/slice_' utter '.eps'], 'psc2');  

