% this script create a tex file that list the plots of feature as well as
% the Ai-grams under different SNR.

clc;

utter_list = get_utter_list_SNRLoss07();

% generate the tex file
fp = fopen('HL07_TR07_MN16R.tex','w');
for i=1:6:length(utter_list)
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i+2} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i+4} '.eps']);
    
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i+2} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i+4} '.eps']);    
    
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i+1} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i+3} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/cue_' utter_list{i+5} '.eps']);
    
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i+1} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i+3} '.eps']);
    fprintf(fp,'\\includegraphics[width = 0.33 \\textwidth]{%s}\n',['./results/aigrams_' utter_list{i+5} '.eps']);        
end
fclose(fp);