% This function output a matrix of data to a txt file
% mat - the matrix to be written
% txt - the name of the txt file 
% lab_row - the labels for each row
% lab_col - the labels for each column

function out2txt(mat, txt, lab_row, lab_col)

[nRow, nCol] = size(mat);

fid = fopen(txt, 'wt');

for j=1:nCol
    fprintf(fid, ' %s ', lab_col{j}); 
end
fprintf(fid, '\n');

for i=1:nRow
    fprintf(fid, '%s ', lab_row{i});
    for j=1:nCol
        fprintf(fid, ' %f ', mat(i,j)); 
    end 
    fprintf(fid, '\n');
end
fclose(fid);
